/*
 * Created on Nov 24, 2003
 */
package kerberos.exceptions;

/**
 * Diese Exception wird nur bei M_AP_REQ und M_KDC_TGS_REQ geworfen.
 * Sie dient dazu, rauszufinden ob der Client der diese Nachricht geschrieben
 * hat, auch das Ticket angefordert hat.
 * 
 * @author Jendrik Stier
 */
public class ClientnameFalschException extends KerberosException
{
	/**
	 * Als Parameter die beiden ungleichen Parameter bergeben
	 */
	public ClientnameFalschException(String clienthost1, String clienthost2)
	{
		super(clienthost1+" != "+clienthost2);
	}
}
