/*
 * Created on Jan 19, 2004
 */
package kerberos.exceptions;

import java.io.IOException;

/**
 * Wird geworfen, wenn die Verbindung beendet wurde.
 * Diese Exception ist eine IOException; sie erbt micht von der KerberosException.
 * Die wurde eingefhrt, damit der Benutzer dieses Paketes nicht um dieser einen Exception
 * willen zwingend die sun.com.*-Klassen bentigt
 * @author Stephan Koops
 */
public class ConnectionResetException extends IOException 
{
	public ConnectionResetException()
	{
		super("Verbindung wurde beendet.");
	}
}
