/*
 * Created on Nov 24, 2003
 */
package kerberos.exceptions;

/**
 * Diese Exception wird geworfen, wenn mit eine Passwort gearbeitet werden soll, diese
 * Passwort aber schon mit destroy() zerstrt wurde, um enthaltenen sensible Daten
 * unleserlich zu machen.
 * @author Stephan Koops
 */
public class PasswortDestroyedException extends KerberosException
{
	public PasswortDestroyedException()
	{
		super("Das Passwort wurde zerstrt");
	}
}
