package kerberos.exceptions;

/**
 * <p>Diese Exception wird geworfen, wenn das letzte gesendete Array zu lang war.</p>
 * @author Stephan Koops
 * @see kerberos.exceptions.ArrayZuLangException
 */
public class SendeArrayZuLangException extends ArrayZuLangException
{
	public SendeArrayZuLangException()
	{
		super("Es wurden mehr Zeichen gesendet als erlaubt sind");
	}

	public SendeArrayZuLangException(int lnge)
	{
		super(lnge);
	}
}
