package kerberos.messages;

/**
 * Interface fr Anfragen an den KDC
 * @author Stephan Koops
 */
public interface M_KDC_REQ
{
	/**
	 * Vergleicht den Noncewert mit dem Noncewert aus der Message.
	 * <br>
	 * <b>Hier nicht benutzt.</b>
	 */	
	public void checkNonce(long nonce);
	
	/**
	 * Gibt den ausgelesenen Noncewert zurck.
	 * @return Nonce.
	 */
	public long getNonce();
	
	/**
	 * Gibt den ausgelesenen Client Namen zurck.
	 * @return Client Name.
	 */
	public String getUsername();
}
