/*
 * Created on Jan 12, 2004
 */
package kerberos.messages;

/**
 * @author Stephan Koops
 */
public interface MessageWithTime
{
	/**
	 * Gibt die Zeit zurck, ab wann das Ticket gltig ist.
	 * @see System#currentTimeMillis() 
	 */
	public long getStartzeit();
	
	/**
	 * Gibt die Zeit zurck, bis wann das Ticket gltig ist.
	 * @see System#currentTimeMillis() 
	 */
	public long getEndzeit();
	
	/**
	 * Gibt den Message-Typ zurck
	 * @return
	 */
	public int getType();
}
