package kerberos.tests;

import util.tests.BlockingQueueTests;
import junit.framework.Test;
import junit.framework.TestSuite;
import kerberos.tests.messages.MessageBuilderTest;
import kerberos.tests.packets.PacketTests;
import kerberos.tests.sockets.GanzVieleTests;
import kerberos.tests.sockets.KerberosSocketClient;
import kerberos.tests.sockets.KerberosSocketTest;
import kerberos.tests.sockets.KerberosSocketTests2;
import kerberos.tests.sockets.KerberosTestSocketTests;

public class KerberosTests
{
	public KerberosTests()
	{
		super();
	}
	
	public static Test suite()
	{
		TestSuite suite = new TestSuite("KerberosTests");
		suite.addTest(MessageBuilderTest.suite());
		suite.addTest(KerberosSocketTest.suite());
		suite.addTest(KerberosSocketTests2.suite());
		suite.addTest(KerberosSocketClient.suite());
		suite.addTest(KerberosTestSocketTests.suite());
		suite.addTest(PacketTests.suite());
		suite.addTest(BlockingQueueTests.suite());
		suite.addTest(GanzVieleTests.suite());
		return suite;
	} 

	public static void main(String[] args) 
	{
		junit.textui.TestRunner.run(suite());
	}
}