/*
 * Created on 20.10.2003
 */
package kerberos.tests.sockets;

import java.io.ByteArrayInputStream;
import java.io.IOException;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import util.NetUtil;

/**
 * @author Stephan Koops
 */
public class TestToIntToByte extends TestCase
{
	public TestToIntToByte(String name)
	{
		super(name);
	}

	public static Test suite()
	{
		return new TestSuite(TestToIntToByte.class);
	}

	public void setUp()
	{
	}

	public void testBeideRichtungen() throws IOException
	{
		check(-1);
		check(-2105555555);
		check(Integer.MAX_VALUE);
		check(Integer.MIN_VALUE);
		check(0);
		check(1);
		check(2);
		check(3);
		check(4711);
		check(127);
		check(128);
		check(255);
		check(256);
		check(-923509);
		check(923509);
	}
	
	public void check(int zahl) throws IOException
	{
		ByteArrayInputStream byteStream = new ByteArrayInputStream(NetUtil.toByteArray(zahl));
		assertEquals(zahl, NetUtil.toInt(byteStream));
	}
}