/*
 * Created on Jan 19, 2004
 */
package util.logger;

/**
 * Dieser Logger verwirft die zu loggenden Daten, so dass nichts mitgeloggt wird.
 * @author Stephan Koops
 */
public class NullLogger implements Logger 
{
	/**
	 * Enthlt einen NullLogger, der immer verwendet werden kann
	 */
	public static final Logger get = new NullLogger();
	
	public static Logger get()
	{
		return get;
	}

	/**
	 * @see Logger#log(java.lang.Exception, int)
	 */
	public void log(Exception exc, int prio)
	{
	}
	
	/**
	 * @see Logger#log(String, int)
	 */
	public void log(String info, int prio) 
	{
	}

	/**
	 * @see Logger#setMinLog(int)
	 */
	public void setMinLog(int minimalPrio) 
	{
	}
}
