/*
 * Created on 07.11.2003
 */
package kerberos.exceptions;

import kerberos.messages.Message;

/**
 * Eine UnerwarteteNachrichtException wird geworfen, wenn an einer Stelle
 * eine Nachricht gekommen ist, mit der nicht zu rechnen war. Da wollte sich dann
 * jemand einhacken oder einen beteiligten durcheinanderbringen oder es ist
 * da was falsch implementiert
 * @author Stephan Koops
 */
public class UnerwarteteNachrichtException extends KerberosException
{
	private Message unerwarteteNachricht;

	public UnerwarteteNachrichtException(Message unerwarteteNachricht)
	{
		super("Es wurde eine nicht erwartete Nachricht empfangen vom Typ "+unerwarteteNachricht.getClass().getName()+" "+unerwarteteNachricht);
		this.unerwarteteNachricht = unerwarteteNachricht;
	}
}
