/*
 * Created on 20.10.2003
 */
package kerberos.tests.sockets;

import kerberos.net.KerberosServerSocket;
import kerberos.net.KerberosSocket;
import kerberos.net.KerberosServerSocketImpl;
import kerberos.net.Passwort;

/**
 * @author Stephan Koops
 */
public class KerberosSocketServer
{
	public boolean output = false;

	/**
	 * Um die Klasse als Anwendung zu starten
	 */
	protected KerberosSocketServer()
	{
		super();
		this.output = true;
	}

	public static void main(String[] args) throws Exception
	{
		new KerberosSocketServer().test1();
	}
	
	public void test1() throws Exception
	{
		System.out.println("kerberos.tests.KerberosSocketsServer schickt gleich ne Anfrage los !");
		KerberosServerSocket serverSocket = new KerberosServerSocketImpl(2000, new Passwort("geheim"));
		KerberosSocket socket = serverSocket.accept();
		fromSocketByteArray(socket);
		fromSocketByteArray(socket);
		fromSocketByteArray(socket);
		fromSocketByteArray(socket);
		fromSocketByteArray(socket);
		socket.close();
		serverSocket.close();
		if(output)
			System.out.println(" READ beendet");				
	}

	private void fromSocketByteArray(KerberosSocket socket) throws Exception
	{
		byte[] byteArray = socket.read();				
		if(output)
			System.out.print("  READ, byte[]: ");
		printBytes(byteArray);
		if(output)
			System.out.println();				
	}

	private void printBytes(byte[] bytes)
	{
		if(output)
		{
			System.out.print(bytes[0]);
			for(int i=1; i<bytes.length; i++)
			{
				System.out.print(',');
				System.out.print(bytes[i]);
			}
		}
	}
}